On Tue, Aug 28, 2012 at 9:47 AM, Nelle Varoquaux <nelle.varoquaux@gmail.com> wrote:
Hello,

I've just checked out the source code from github, and I ran the
tests. Unfortunately, I get loads of errors (more than 1k), most of
them such as the following:


Looks like you triggered a code-path that most of us haven't encountered.  The code in question checks for which version of numpy is installed and uses the faster bincount if it is available and falls back to the older testing code if it isn't available.  Unfortunately, the older code seems to have been bastardized in the process.  This should defintely be fixed.

I might have a moment today to submit a PR for this.

Ben Root